commit: 4836cd98d4ceb4922e97e1c2bf5dfc2294ed4e99
Author: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 19 21:44:37 2018 +0000
Commit: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Fri Jan 19 22:55:35 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4836cd98
dev-python/txtorcon: Fix ipaddress dep for setuptools
Remove it from requirements.txt which required it for py3 when it shouldn't.
Error was discovered testing a new release of crossbar.
Package-Manager: Portage-2.3.16, Repoman-2.3.6
.../txtorcon/{txtorcon-0.19.3.ebuild => txtorcon-0.19.3-r1.ebuild} | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/dev-python/txtorcon/txtorcon-0.19.3.ebuild
b/dev-python/txtorcon/txtorcon-0.19.3-r1.ebuild
similarity index 92%
rename from dev-python/txtorcon/txtorcon-0.19.3.ebuild
rename to dev-python/txtorcon/txtorcon-0.19.3-r1.ebuild
index 5155d74c9df..7a947665ebd 100644
--- a/dev-python/txtorcon/txtorcon-0.19.3.ebuild
+++ b/dev-python/txtorcon/txtorcon-0.19.3-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -42,6 +42,11 @@ PATCHES=(
"${FILESDIR}/txtorcon-0.19.3-Removeinstalldocs.patch"
)
+python_prepare_all() {
+ sed -e "s/^ipaddress.*//" -i requirements.txt || die
+
+ distutils-r1_python_prepare_all
+}
python_test() {
pushd "${TEST_DIR}" > /dev/null || die
/usr/bin/trial txtorcon || die "Tests failed with ${EPYTHON}"